[@bigcommerce/checkout-sdk](../README.md) / CartSelector

# Interface: CartSelector

## Table of contents

### Methods

- [getCart](CartSelector.md#getcart)
- [getCartOrThrow](CartSelector.md#getcartorthrow)
- [getLoadError](CartSelector.md#getloaderror)
- [getLocale](CartSelector.md#getlocale)
- [isLoading](CartSelector.md#isloading)

## Methods

### getCart

▸ **getCart**(): `undefined` \| [`Cart`](Cart.md)

#### Returns

`undefined` \| [`Cart`](Cart.md)

___

### getCartOrThrow

▸ **getCartOrThrow**(): [`Cart`](Cart.md)

#### Returns

[`Cart`](Cart.md)

___

### getLoadError

▸ **getLoadError**(): `undefined` \| `Error`

#### Returns

`undefined` \| `Error`

___

### getLocale

▸ **getLocale**(): `undefined` \| `string`

#### Returns

`undefined` \| `string`

___

### isLoading

▸ **isLoading**(): `boolean`

#### Returns

`boolean`
